Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.inline
Interface ScaledBaselineTable

All Known Implementing Classes:
  BasicScaledBaselineTable

public interface ScaledBaselineTable

The FOP specific incarnation of the XSL-FO scaled baseline table. All baseline tables are scaled to the font size of the font they apply to. This interface uses a coordinate system with its origin where the dominant baseline intersects the start edge of the box. All measurements are in mpt.

Method Summary
`ScaledBaselineTable` | `deriveScaledBaselineTable(int baselineIdentifier)` Return a new baseline table for the given baseline based on the current baseline table.
`int` | `getBaseline(int baselineIdentifier)` Return the offset measured from the dominant baseline for the given baseline identifier.
`int` | `getDominantBaselineIdentifier()` Return the dominant baseline identifer for this alignment context.
`int` | `getWritingMode()` Return the writing mode for this aligment context.
`void` | `setBeforeAndAfterBaselines(int beforeBaseline, int afterBaseline)` Sets the position of the before and after baselines.

Method Detail

### getDominantBaselineIdentifier

    public int getDominantBaselineIdentifier()

  Return the dominant baseline identifer for this alignment context.

  Returns:
    the dominant baseline identifier

### getWritingMode

    public int getWritingMode()

  Return the writing mode for this aligment context.

  Returns:
    the writing mode

### getBaseline

    public int getBaseline(int baselineIdentifier)

  Return the offset measured from the dominant baseline for the given baseline identifier.

  Parameters:
    `baselineIdentifier` - the baseline identifier
  Returns:
    the baseline offset

### setBeforeAndAfterBaselines

    public void setBeforeAndAfterBaselines(int beforeBaseline,
                                           int afterBaseline)

  Sets the position of the before and after baselines. This is usually only done for line areas. For other areas the position of the before and after baselines are fixed when the table is constructed.

  Parameters:
    `beforeBaseline` - the offset of the before-edge baseline from the dominant baseline
    `afterBaseline` - the offset of the after-edge baseline from the dominant baseline

### deriveScaledBaselineTable

    public ScaledBaselineTable deriveScaledBaselineTable(int baselineIdentifier)

  Return a new baseline table for the given baseline based on the current baseline table.

  Parameters:
    `baselineIdentifier` - the baseline identifer
  Returns:
    a new baseline with the new baseline

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.